#!/bin/sh

export LC_ALL=POSIX
unset CFLAGS CC CXX CPP LD_LIBRARY_PATH LD_PRELOAD
DIR=`pwd`

. "$DIR"/sources/scripts/runuml.sh

echo -e "\e[32m=== Phase 2: Build the final system." &&

sources/scripts/2.0-reset-tmpdir.sh &&
export UMLSETUP=sources/scripts/2.1-firmware-umlsetup.sh &&
runuml any

#tmpdir/linux rootfstype=hostfs rw quiet mem=64M DIR="$DIR" init="$DIR"/sources/scripts/2.1-firmware-umlsetup.sh LD_ASSUME_KERNEL=2.4.1 ubd0=tmpdir/swap.img
if [ -f tmpdir/build.sqf ]
then
  sources/scripts/2.3-firmware-package.sh
fi

if [ ! -f build.sqf ]; then exit 1; fi
